Data - Retrieve State Widget Columns
Hiermee worden de statuskolommen opgehaald die van toepassing zijn op de opgegeven entiteits-id
GET http://<Servername>/OperationsManager/data/stateColumns?entityId={entityId}
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
entity
|
query | True |
string |
Geef de entiteits-id op |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Statuskolommen zijn opgehaald. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
RetrieveStateWidgetColumns
Voorbeeldaanvraag
GET http://<Servername>/OperationsManager/data/stateColumns?entityId=6f7e3306-beeb-2996-3795-7c1eafb925b8
Voorbeeldrespons
[
{
"name": "Health",
"id": "healthstate",
"typename": "text",
"isSortable": true,
"isGroupable": true
},
{
"name": "Display name",
"id": "displayname",
"typename": "text",
"isSortable": true,
"isGroupable": true
},
{
"name": "Path",
"id": "path",
"typename": "text",
"isSortable": true,
"isGroupable": true
},
{
"name": "Maintenance mode",
"id": "maintenancemode",
"typename": "text",
"isSortable": true,
"isGroupable": true
}
]
Definities
HeaderColumns
| Name | Type | Description |
|---|---|---|
| id |
string |
Kolom-id |
| isGroupable |
boolean |
is Kolom Groepeerbaar |
| isSortable |
boolean |
is sorteerbaar in kolommen |
| name |
string |
Kolomnaam |
| typename |
string |
Kolom Type Naam |